> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/nemo-platform/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/nemo-platform/_mcp/server.

# List all workspaces

GET /apis/entities/v2/workspaces

List all workspaces with pagination.

When authentication is enabled, only workspaces the principal has access to
are returned. Service principals and platform admins have access to all workspaces.

Query Parameters:
- page, page_size: Pagination
- sort: Sort field
- filter: Advanced filters (JSON, text, or bracket notation)

Example:
```
GET /apis/entities/v2/workspaces?sort=-created_at&page=1&page_size=10
```

Reference: https://docs.nvidia.com/nemo-platform/nemo-platform/v0.3.0/documentation/reference/api-reference/entity-store/list-workspaces-apis-entities-v-2-workspaces-get

## Request

### Query parameters

- `page` (integer, optional, default: 1) — Page number
- `page_size` (integer, optional, default: 100) — Items per page
- `sort` (enum, optional, default: -created_at) — Sort field
  - Allowed values: `created_at`, `-created_at`, `updated_at`, `-updated_at`, `name`, `-name`
- `filter` (string, optional) — Query filter expression. Supports text and JSON syntaxes: * Text: name:"value" AND status>500 with operators : \~ > >= \< \<= IN NOT IN AND OR and negation prefix - * Object (JSON): \{"name":\{"$like":"value"}} with operators $eq, $like, $lt, $lte, $gt, $gte, $in, $nin, $and, $or, $not * Bracket notation: ?filter\[name]\[\$like]=value * Relationship traversal: ?filter\[relationship]\[\$exists]=true or ?filter\[relationship]\[field]=value

## Response

### 200

Successful Response

- `data` (list of object, required)
  - `id` (string, required) — System-generated UUID
  - `name` (string, required) — Workspace name (user-provided)
  - `created_at` (datetime, required) — Timestamp of workspace creation
  - `updated_at` (datetime, required) — Timestamp of last workspace update
  - `description` (string, optional) — Optional description
  - `created_by` (string, optional) — Principal id for workspace creator
  - `updated_by` (string, optional) — Principal id for last workspace update
- `pagination` (object, optional) — Pagination information.
  - `page` (integer, required) — The current page number.
  - `page_size` (integer, required) — The page size used for the query.
  - `current_page_size` (integer, required) — The size for the current page.
  - `total_pages` (integer, required) — The total number of pages.
  - `total_results` (integer, required) — The total number of results.
- `sort` (string, optional) — The field on which the results are sorted.
- `filter` (map from string to any, optional) — Filtering information.

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "created_at": "2024-01-15T09:30:00Z",
      "updated_at": "2024-01-15T09:30:00Z",
      "description": "string",
      "created_by": "string",
      "updated_by": "string"
    }
  ],
  "pagination": {
    "page": 1,
    "page_size": 1,
    "current_page_size": 1,
    "total_pages": 1,
    "total_results": 1
  },
  "sort": "string",
  "filter": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/apis/entities/v2/workspaces"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.example.com/apis/entities/v2/workspaces';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/apis/entities/v2/workspaces"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/apis/entities/v2/workspaces")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.example.com/apis/entities/v2/workspaces")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.example.com/apis/entities/v2/workspaces');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/apis/entities/v2/workspaces");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/apis/entities/v2/workspaces")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```